package com.hxstrive.spring_security.mapper;

import com.hxstrive.spring_security.model.MenuModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * 菜单Mapper
 * @author hxstrive.com
 */
@Mapper
public interface MenuMapper {

    @Select("<script>" +
            "select id, name, url, parentid, permission " +
            "from menu " +
            "where id in " +
            "<foreach item='item' index='index' collection='ids' " +
            "open='(' separator=',' close=')'>" +
            "#{item}" +
            "</foreach>" +
            "</script>")
    List<MenuModel> getByIds(@Param("ids") int...ids);

}
