package com.hxstrive.spring_security;

import com.alibaba.fastjson2.JSONObject;
import com.hxstrive.spring_security.model.*;
import com.hxstrive.spring_security.service.*;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest
class SpringSecurityDemo6ApplicationTests {

	@Autowired
	private UserService userService;

	@Autowired
	private MenuService menuService;

	@Autowired
	private RoleService roleService;

	@Autowired
	private RoleMenuService roleMenuService;

	@Autowired
	private RoleUserService roleUserService;


	@Test
	void contextLoads() {
		System.out.println("====================用户信息=====================");
		UserModel userModel = userService.getByCount("zhangsan");
		System.out.println(JSONObject.toJSONString(userModel));

		System.out.println("====================菜单信息=====================");
		List<MenuModel> menuModelList = menuService.getByIds(1,2,3,4);
		for(MenuModel menuModel : menuModelList) {
			System.out.println(JSONObject.toJSONString(menuModel));
		}

		System.out.println("===================角色信息======================");
		RoleModel roleModel = roleService.getById(1);
		System.out.println(JSONObject.toJSONString(roleModel));

		System.out.println("====================角色菜单信息=====================");
		List<RoleMenuModel> roleMenuModelList = roleMenuService.getByRoleId(1);
		for(RoleMenuModel roleMenuModel : roleMenuModelList) {
			System.out.println(JSONObject.toJSONString(roleMenuModel));
		}

		System.out.println("====================角色用户信息=====================");
		List<RoleUserModel> roleUserModelList = roleUserService.getByRoleId(1);
		for(RoleUserModel roleUserModel : roleUserModelList) {
			System.out.println(JSONObject.toJSONString(roleUserModel));
		}
	}

}
